View Issue Details

IDProjectCategoryView StatusLast Update
13480Bug reports[All Projects] Assessmentspublic2018-05-16 13:46
ReporterelonerAssigned ToLouisGac 
PriorityurgentSeverityblock 
Status closedResolutionfixed 
Product Version3.3.x 
Target VersionFixed in Version 
Summary13480: Assessments: wrong windows size and crash after adding a rule
Description

I use version 3.5.1+ with Mozilla Firefox 59.0

  1. When I choose "Add New Assessment Rule" tho Windows are oversized: Message and another (with no name)
  2. When I click on Save I get an error message
Steps To Reproduce
  • create a new Survey
  • enable assessments
  • add a question (I added a single choice Radio Button), code of question: Q3
  • try to add a new rule (two windows will be oversized) based on Q3
  • try to save the rule
  • you will get this message: Bad Request
    The CSRF token could not be verified.
    The request could not be understood by the server due to malformed syntax. Please do not repeat the request without modifications.
    If you think this is a server error, please contact the webmaster.
TagsNo tags attached.
Complete LimeSurvey version number (& build) 3.5.1+
I will donate to the project if issue is resolvedNo
BrowserFirefox 59.0
Database & DB-VersionMysql Ver 14.14 Distrib 5.7.21,
Operating System (Server)Ubuntu 16
Webserver software & versionApache/2.4.18
PHP Version 7.1.15

Relationships

has duplicate 13491 closedc_schmitz Bad Request - The CSRF token could not be verified 

Activities

eloner

eloner

2018-03-15 09:02

reporter  

Bug-15-3-limesurvey_survey_339955.lss (16,489 bytes)
LouisGac

LouisGac

2018-03-16 13:00

manager   ~47097

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26779

Related Changesets

LimeSurvey: master 9ab28453

2018-03-16 13:00:12

LouisGac

Details Diff
Fixed issue 13480: Assessments: wrong windows size and crash after adding a rule
mod - assets/scripts/admin/assessments.js Diff File

Issue History

Date Modified Username Field Change
2018-03-15 09:02 eloner New Issue
2018-03-15 09:02 eloner File Added: Bug-15-3-limesurvey_survey_339955.lss
2018-03-15 12:25 LouisGac Assigned To => markusfluer
2018-03-15 12:25 LouisGac Status new => assigned
2018-03-16 12:23 LouisGac Priority none => urgent
2018-03-16 12:23 LouisGac Severity crash => block
2018-03-16 13:00 LouisGac Changeset attached => LimeSurvey master 9ab28453
2018-03-16 13:00 LouisGac Note Added: 47097
2018-03-16 13:00 LouisGac Assigned To markusfluer => LouisGac
2018-03-16 13:00 LouisGac Resolution open => fixed
2018-03-21 18:49 c_schmitz Relationship added has duplicate 13491
2018-05-16 13:46 LouisGac Status assigned => resolved
2018-05-16 13:46 LouisGac Status resolved => closed